
#ifndef CLIENT2_H
#define CLIENT2_H

#include "Client.h"

class Client2: public Client
{
	int force;
	char prefix[1024];
public:
	int numOfBytes, numOfCannotRead, numOfDoesNotExist, numOfFiles;

	Client2();
	void putFile(const char *path);
	void putTrack(const char *type, const char *path);
	void setForce();
	void setPrefix(const char *path);

private:
	void handle(const char *format, ...);
};

#endif
